## org.eclipse.xsd
Enum XSDDerivationMethod

    java.lang.Object
      java.lang.Enum<XSDDerivationMethod>
          org.eclipse.xsd.XSDDerivationMethod

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<XSDDerivationMethod>, Enumerator

    public enum XSDDerivationMethod

extends java.lang.Enum<XSDDerivationMethod>
implements Enumerator

A representation of the literals of the enumeration 'Derivation Method'.

See Also:
  `XSDComplexTypeDefinition.getDerivationMethod()`, `XSDPackage.getXSDDerivationMethod()`

Enum Constant Summary
`EXTENSION_LITERAL` The 'Extension' literal object
`RESTRICTION_LITERAL` The 'Restriction' literal object

Field Summary
`static int` `EXTENSION` The 'Extension' literal value
`static int` `RESTRICTION` The 'Restriction' literal value
`static java.util.List<XSDDerivationMethod>` `VALUES` A public read-only list of all the 'Derivation Method' enumerators

Method Summary
`static XSDDerivationMethod` `get(int value)` Returns the 'Derivation Method' literal with the specified integer value
`static XSDDerivationMethod` `get(java.lang.String literal)` Returns the 'Derivation Method' literal with the specified literal value
`static XSDDerivationMethod` `getByName(java.lang.String name)` Returns the 'Derivation Method' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static XSDDerivationMethod` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static XSDDerivationMethod[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EXTENSION_LITERAL

    public static final XSDDerivationMethod EXTENSION_LITERAL

  The 'Extension' literal object.

  See Also:
    `EXTENSION`

### RESTRICTION_LITERAL

    public static final XSDDerivationMethod RESTRICTION_LITERAL

  The 'Restriction' literal object.

  See Also:
    `RESTRICTION`

Field Detail

### EXTENSION

    public static final int EXTENSION

  The 'Extension' literal value.

  This is used to indicate that a complex type definition is derived via extension.

  See Also:
    `EXTENSION_LITERAL`, Constant Field Values

### RESTRICTION

    public static final int RESTRICTION

  The 'Restriction' literal value.

  This is used to indicate that a complex type definition is derived via restriction.

  See Also:
    `RESTRICTION_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<XSDDerivationMethod> VALUES

  A public read-only list of all the 'Derivation Method' enumerators.

Method Detail

### values

    public static final XSDDerivationMethod[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(XSDDerivationMethod c : XSDDerivationMethod.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static XSDDerivationMethod valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static XSDDerivationMethod get(java.lang.String literal)

  Returns the 'Derivation Method' literal with the specified literal value.

### getByName

    public static XSDDerivationMethod getByName(java.lang.String name)

  Returns the 'Derivation Method' literal with the specified name.

### get

    public static XSDDerivationMethod get(int value)

  Returns the 'Derivation Method' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<XSDDerivationMethod>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.